Skip to navigation

SetSubUserInfo

View as Markdown

Edits a subuser.

Example request: Edit the password and description for the subuser with id = 12 from account_id = 1.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

subuser_idintegerRequired
The subuser's ID
old_subuser_passwordstringOptional

The subuser old password. It is required if new_subuser_password is specified

new_subuser_passwordstringOptional
The new user password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character
descriptionstringOptional
The new subuser description

Response

Successful response
resultintegerOptional